package com.ssj.bean.sys.lesson.domain;


import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;


/**
 * @author yangcan
 * 类描述:一对一课程辅导价格表
 * 创建时间:2018年6月8日 上午10:53:39

 */
@Entity
@Table(name = "tb_lesson_service_price")
public class LessonServicePrice extends BaseEntity {
	
	private static final long serialVersionUID = 1L;

	private String grade; //年级

    private BigDecimal price;//价格

    private String teacherLever;//注册老师/明星老师/学霸老师

	private int type; //0:一对一类型价格，1:小课类型价格
    
    @Column(name = "price")
    public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}
	
	@Column(name = "grade")
	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	@Column(name = "teacherLever")
	public String getTeacherLever() {
		return teacherLever;
	}

	public void setTeacherLever(String teacherLever) {
		this.teacherLever = teacherLever;
	}

	@Column(name = "type")
	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}
}
